<table>

  <tr>

    <th>
      <div class="flex">
        {{input
          value=filsorFilteredName
          key-up=(action "filsorFilter" "search" "name")
          placeholder="Name"
        }}
        <button {{action "filsorSort" "name" "name"}}>
          {{filsor-sort-indicator filsorSortedName "sort" "↓" "↑"}}
        </button>
      </div>
    </th>

    <th>
      <div class="flex">
        {{input
          value=filsorFilteredZip
          key-up=(action "filsorFilter" "prefix" "zip")
          placeholder="ZIP-Prefix"
        }}
        <button {{action "filsorSort" "string" "zip"}}>
          {{filsor-sort-indicator filsorSortedZip "sort" "↓" "↑"}}
        </button>
      </div>
    </th>

    <th>
      <div class="flex">
        {{input
          value=filsorFilteredAge
          key-up=(action "filsorFilter" "gteq" "age")
          placeholder="Maximal Age"
        }}
        <button {{action "filsorSort" "float" "age"}}>
          {{filsor-sort-indicator filsorSortedAge "sort" "↓" "↑"}}
        </button>
      </div>
    </th>

    <th>
      <div class="flex">
        <button {{action "filsorFilter" "sequence" "favorite" "false" "true"}}>
          Favorite?
          {{#if filsorFilteredFavorite}}
            Only
          {{else}}
            Dunno
          {{/if}}
        </button>
        <button {{action "filsorSort" "sequence" "favorite" "true" "false"}}>
          {{filsor-sort-indicator filsorSortedFavorite "sort" "↓" "↑"}}
        </button>
      </div>
    </th>

    <th>
      <div class="flex">
        <button {{action "filsorFilter" "sequence" "status" "red" "yellow" "green"}}>
          Status:
          {{splice-red-yellow-green}}
        </button>
        <button {{action "filsorSort" "sequence" "status" "green" "yellow" "red"}}>
          {{filsor-sort-indicator filsorSortedStatus "sort" "↓" "↑"}}
        </button>
      </div>
    </th>

  </tr>

  {{#each filsorData as |datum|}}
    <tr>
      <td>{{datum.name}}</td>
      <td>{{datum.zip}}</td>
      <td>{{datum.age}}</td>
      <td>{{datum.favorite}}</td>
      <td>{{datum.status}}</td>
    </tr>
  {{/each}}

</table>

<button {{action "filsorReset"}}>
  Reset Filters and Sorts
</button>
